html,
body {
    font-family: Roboto, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.cursor-text {
    cursor: text;
}

.cursor-help {
    cursor: help;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-label {
    margin-bottom: .125rem;
}

.form-label.required::after {
    content: ' *';
    color: var(--bs-danger);
}

.ratio-17x22 {
    --bs-aspect-ratio: calc(100% * 22 / 17);
}

/* quickgrid */
/* quickgrid customization */
.quickgrid[theme='default'] {
    margin-bottom: 0;
}

.quickgrid[theme="default"]>tbody>tr:not([aria-rowindex]) {
    display: none;
}

.quickgrid[theme="default"]>tbody>tr>td {
    padding: .5rem;
}

.quickgrid[theme="default"]>thead>tr>th.col-sm {
    width: 200px;
}

.quickgrid[theme="default"] .col-title {
    padding: .1rem 0;
}

.quickgrid[theme="default"] .sort-indicator {
    background-image: none;
    transform: none;
    line-height: 1em;
    opacity: .75;
    font-weight: normal;
}

.quickgrid[theme="default"] .sort-indicator::before {
    display: inline;
    content: ' ';
    font-family: "Font Awesome 7 Pro";
    font-size: 1.25rem;
}

.quickgrid[theme="default"] .col-sort-asc .sort-indicator::before {
    content: '\f15d';
}

.quickgrid[theme="default"] .col-sort-desc .sort-indicator::before {
    content: '\f15e';
}

.quickgrid[theme='default'] tr>*:first-child {
    padding-left: 1rem;
}

.quickgrid[theme='default'] tr>*:last-child {
    padding-right: 1rem;
}

.quickgrid[theme="default"] .col-options-button {
    background-image: none;
}

.quickgrid[theme="default"] .col-options-button::before {
    display: inline;
    content: '\f0c9';
    font-family: "Font Awesome 7 Pro";
}

.quickgrid[theme="default"].sticky-header thead {
    position: sticky;
    top: 0;
    left: 0;
    background-color: white;
    z-index: 1;
}

[data-bs-theme='dark'] .quickgrid[theme='default'] .col-options {
    box-shadow: none;
    background: var(--bs-dark);
    border-color: var(--bs-secondary);
}

th.td-sticky-right,
td.td-sticky-right {
    position: sticky;
    right: 0;
    background-color: #f2f2f2;
}

.paginator .go-previous,
.paginator .go-next,
.paginator .go-first,
.paginator .go-last {
    background-image: none;
    opacity: 1;
}

.paginator nav button[disabled] {
    opacity: .5;
}

.paginator button {
    color: var(--bs-body-color);
}

[data-bs-theme='dark'] .paginator button {
    color: white;
}

.paginator .go-previous::after,
.paginator .go-next::after {
    content: '\f355';
    font-family: "Font Awesome 7 Pro";
    font-weight: 900;
}

.paginator .go-first::after,
.paginator .go-last::after {
    content: '\f34b';
    font-family: "Font Awesome 7 Pro";
    font-weight: 900;
}

/* end of quickgrid customization */
/* end of quickgrid */

/* blazored modal customization */
.custom-blazored-modal,
.custom-blazored-modal-narrower,
.custom-blazored-modal-small {
    display: flex;
    max-height: 95vh;
    height: 95%;
    flex-direction: column;
    z-index: 9000;
    background-color: #fff;
    border-radius: 4px;
    border: 1px solid #fff;
    padding: 1.5rem;
    margin: 1.5rem auto;
    box-shadow: 0 2px 2px rgba(0, 0, 0, .25);
}

.custom-modal-header {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    border-bottom: solid;
    border-bottom-color: lightgray;
    padding: 0 0 0.75rem 0;
}

/* Ultrawide screens */
@media (min-width: 1900px) {
    .custom-blazored-modal {
        height: 95%;
        width: 65%;
    }

    .custom-blazored-modal-small {
        min-height: 100px;
        max-width: 55%;
        width: -moz-fit-content;
        width: fit-content;
        min-width: 390px;
    }

    .custom-blazored-modal-narrower {
        height: 94%;
        max-width: 900px;
        width: 75%;
        width: 55%;
        min-width: 390px;
    }
}

/* Large screens */
@media (min-width: 1200px) {
    .custom-blazored-modal {
        height: 95%;
        width: 80%;
    }

    .custom-blazored-modal-small {
        min-height: 100px;
        max-width: 75%;
        width: -moz-fit-content;
        width: fit-content;
        min-width: 390px;
    }

    .custom-blazored-modal-narrower {
        height: 94%;
        max-width: 900px;
        width: 75%;
        min-width: 390px;
    }
}

/* Medium screens */
@media (max-width: 1199px) {
    .custom-blazored-modal {
        height: 90%;
        width: 90%;
        min-width: 320px;
    }

    .custom-blazored-modal-small {
        height: 87%;
        max-width: 85%;
        min-width: 320px;
    }

    .custom-blazored-modal-narrower {
        height: 85%;
        max-width: 80%;
        min-width: 320px;
    }
}

/* Small screens */
@media (max-width: 768px) {

    .custom-blazored-modal,
    .custom-blazored-modal-narrower,
    .custom-blazored-modal-small {
        padding: 0.5rem;
    }

    .custom-blazored-modal {
        height: 99%;
        width: 99%;
        min-width: 200px;
    }

    .custom-blazored-modal-small {
        height: 98%;
        max-width: 97%;
        min-width: 200px;
        /* Adapt to your needs */
    }

    .custom-blazored-modal-narrower {
        max-height: 95%;
        height: 95%;
        max-width: 95%;
        min-width: 200px;
        /* Adapt to your needs */
    }
}


/*This is for the inner modal div. The custom class fed to the modal wraps this.
    Setting this to 100% just makes it fill whatever Class is sent to the modal
    then you stylize within the component
*/
.blazored-modal-content {
    height: 100%;
    width: 100%;
}

/* end of blazored modal customization */